compact1, compact2, compact3
java.lang

## Class EnumConstantNotPresentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.EnumConstantNotPresentException

- All Implemented Interfaces:
    Serializable

      public class EnumConstantNotPresentException
      extends RuntimeException

  Thrown when an application tries to access an enum constant by name and the enum type contains no constant with the specified name. This exception can be thrown by the API used to read annotations reflectively.
  Since:
    1.5
  See Also:
    `AnnotatedElement`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EnumConstantNotPresentException(Class<? extends Enum> enumType, String constantName)` | Constructs an `EnumConstantNotPresentException` for the specified constant.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `constantName()` | Returns the name of the missing enum constant.
    `Class<? extends Enum>` | `enumType()` | Returns the type of the missing enum constant.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EnumConstantNotPresentException

          public EnumConstantNotPresentException(Class<? extends Enum> enumType,
                                                 String constantName)

      Constructs an `EnumConstantNotPresentException` for the specified constant.
      Parameters:
        `enumType` - the type of the missing enum constant
        `constantName` - the name of the missing enum constant

  - ### Method Detail

    - #### enumType

          public Class<? extends Enum> enumType()

      Returns the type of the missing enum constant.
      Returns:
        the type of the missing enum constant

    - #### constantName

          public String constantName()

      Returns the name of the missing enum constant.
      Returns:
        the name of the missing enum constant

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.